function hrsmooth = hazardratiosmooth(y,mu,sigma,a,yth1,smooth)
% compute weights for merging lognormal and Pareto
weight1 = normcdf(yth1,y,smooth);
weight2 = 1-normcdf(yth1,y,smooth);

% compute smoothed hr as weighted hr of lognormal and Pareto
hrsmooth = weight1*(y*lognpdf(y,mu,sigma)/(1-logncdf(y,mu,sigma)))...
    + weight2*a;

% adjust intercept such that hr at y=1 equals hr of lognormal at y=1
hrsmooth = hrsmooth - (1-normcdf(yth1,1,smooth))*(a-lognpdf(1,mu,sigma)/(1-logncdf(1,mu,sigma)));
end