function l = laborinput(mtropt,My,kappa,beta,cbar,e,gamma,rho,delta)
% compute labor inputs when marginal tax rates for each type are known
ltilde = (1-mtropt).^(e/(1-e*(gamma+rho))).*beta.^(e/(1-e*(gamma+rho))); % proportional to labor input
rescost = trapz(My,(kappa.*ltilde).^(rho*delta/(1+gamma))); % auxiliary
output = trapz(My,(kappa.*ltilde).^(1+gamma+rho)*cbar^((1+gamma)/delta)*rescost^(-(1+gamma)/delta))^(1/(1+gamma)); % auxiliary
scale = cbar^(e*(1+gamma)/delta)*rescost^(-e*(1+gamma)/delta)*output^(-gamma*e); % scale for ltilde
l = ltilde*scale; % labor input
end