function l = laborinputcrp(p,lambda,My,kappa,cbar,e,gamma,rho,delta)
% compute labor inputs when the tax function is known and has CRP
etilde = e*(1-p)/(1+e*p); % labor supply elasticity with respect to wage
ltilde = kappa.^(etilde*(1+gamma+rho)/(1-etilde*(gamma+rho))); % proportional to actual labor input, needs to be scaled correctly
rescost = trapz(My,(kappa.*ltilde).^(rho*delta/(1+gamma))); % auxiliary 
output = trapz(My,(kappa.*ltilde).^(1+gamma+rho)*cbar^((1+gamma)/delta)*rescost^(-(1+gamma)/delta))^(1/(1+gamma)); % auxiliary
scale = ((1-p)*lambda)^(etilde/(1-p))*cbar^(etilde*(1+gamma)/delta)*rescost^(-etilde*(1+gamma)/delta)*output^(-gamma*etilde); % scaling factor for ltilde
l = ltilde*scale; % labor input
end